Bug 59984 - staroffice printing broken with newest foomatic package
staroffice printing broken with newest foomatic package
Product: Red Hat Linux
Classification: Retired
Component: foomatic (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2002-02-17 20:45 EST by spam
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-10-18 13:28:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
staroffice postscript output (28.83 KB, text/postscript)
2002-02-17 20:47 EST, spam
no flags Details
Scan of printer output created by printing printout.ps -- GIF format (1.28 MB, image/gif)
2002-02-25 09:26 EST, spam
no flags Details
requested file /etc/alchemist/namespace/printconf/local.adl (417 bytes, text/plain)
2002-03-05 07:46 EST, spam
no flags Details

  None (edit)
Description spam 2002-02-17 20:45:02 EST
Description of Problem: staroffice output doesn't print correctly with the
newest foomatic package

Version-Release number of selected component (if applicable): foomatic-1.1-0.20011218

How Reproducible: Every time

Steps to Reproduce:
1. print from staroffice OR
2. print the postscript output file I've included

Actual Results: squashes the material into one corner of the page

Expected Results: Should only be text surrounded by 1.5 inch margins

Additional Information: When up2date first installed this package I couldn't
print from staroffice at all. I downgraded to the previous package of foomatic
and upgraded manually. Now it prints -- but squashes all the text onto
one corner of the page. I've included a file with some staroffice
postscript output that reproduces the problem.
Comment 1 spam 2002-02-17 20:47:00 EST
Created attachment 45883 [details]
staroffice postscript output
Comment 2 Tim Waugh 2002-02-19 09:04:46 EST
When I print this out, I see a good representation of the PostScript file:
writing that fits into the upper half of the page.  This is what 'gs
printout.ps' shows me too.

It could be described as 'squashed into the corner', though, so perhaps that's
what you're seeing as well.  In that case, perhaps it's the PostScript that
staroffice is generating that is causing the problem?  Have you changed any
settings in staroffice relating to that recently?

If you try printing test pages from the printconf-gui tool, do they come out
Comment 3 spam 2002-02-24 08:29:10 EST
To answer your questions:

1) When I print out this postscript file the font does not come out 12 pt as you
would expect. Instead the font looks to be something much smaller like 6 pt. It
is as if someone ran the page through the Zerox machine with magnification set to
50%, so that the font is much smaller and the text is squashed into one corner
of the page. If I downgrade from foomatic-1.1-0.20011218.3.i386.rpm to 
foomatic-1.1-0.20010905.1.i386.rpm then the text prints out as you would expect,
that is, 12 pt font paragraph at the top of the page. I have a LaserJet 2100
printer without built-in postscript interpreter that I have configured with
printconf-gui to use the lj5gray ghostscript driver.

2) I have not changed any settings in Staroffice recently. This problem surfaced
when up2date installed the newest foomatic package.

3) If I try printing postscript test pages from printconf-gui they come out just
Comment 4 spam 2002-02-25 09:26:14 EST
Created attachment 46600 [details]
Scan of printer output created by printing printout.ps -- GIF format
Comment 5 Tim Waugh 2002-03-05 07:14:27 EST
Okay, that does seem smaller than the output I get.  Please attach
Comment 6 spam 2002-03-05 07:46:32 EST
Created attachment 47420 [details]
requested file /etc/alchemist/namespace/printconf/local.adl
Comment 7 Tim Waugh 2002-06-20 08:14:35 EDT
In StarOffice, what is your default printing resolution?  It might be 
'File->Print...->Properties->Resolution' in the menu. 
See bug #66483.
Comment 8 spam 2002-06-28 21:38:27 EDT
The solution proposed in bug #66483 seems to have worked for newly created
documents. Note that files saved with the older resolution as default resolution
need to be "told" what the new resolution is.

Perhaps this is a Staroffice bug???

I'll leave it up to you if we should consider this bug closed or not. Thanks for
the help. --Kenton
Comment 9 Tim Waugh 2002-10-18 13:28:47 EDT
Does this happen with OpenOffice? (It doesn't for me..)
Comment 10 Tim Waugh 2002-10-19 11:15:20 EDT
(From private mail: No.)

Note You need to log in before you can comment on or make changes to this bug.